## schooltool.lyceum.journal 2.0.0

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool.lyceum.journal
LOCALES=src/schooltool/lyceum/journal/locales
TRANSLATIONS_ZCML=schooltool/lyceum/journal/translations.zcml

DIST=/home/ftp/pub/schooltool/flourish
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: python
	python/bin/python bootstrap.py

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

.PHONY: run
run: build instance
	bin/start-schooltool-instance instance

.PHONY: tags
tags: build
	bin/tags

.PHONY: clean
clean:
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean:
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=coverage
	mv parts/test/coverage .

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: coverage
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=ftest-coverage
	mv parts/test/ftest-coverage .

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Release

.PHONY: release
release: compile-translations
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	@VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
	    python-all-dev python-virtualenv \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

## schooltool.lyceum.journal 0.7.2

=== debian/changelog ===
schooltool.lyceum.journal (0.7.2-0ubuntu2) oneiric; urgency=low

  * dh_python2 transition.
  * updated to source format 3.0 quilt.
  * added debian/pydist-overrides to assist dhp2 calculate Depends.
  * debian/control
    - updated python-all to >= 2.6.6-3~.
    - removed B-D on python-central.
    - replaced XS-P-V X-P-V.
    - removed XB-P-V, no longer needed.
  * debian/rules
    - changed "--with python-central" to "--with python2".
    - replaced rm statement with dh_install exclude.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Sat, 25 June 2011 21:01:54 -0500

schooltool.lyceum.journal (0.7.2-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 20 Apr 2011 22:04:34 +0300

schooltool.lyceum.journal (0.7.1-1ubuntu3) natty; urgency=low

  * Upload to Ubuntu (LP: #724357).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 24 Feb 2011 17:01:22 +0200

schooltool.lyceum.journal (0.7.1-1ubuntu2) natty; urgency=low

  * debian/copyright: Add section about bootstrap.py.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Feb 2011 18:14:57 +0200

schooltool.lyceum.journal (0.7.1-1ubuntu1) natty; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.
  * debian/copyright: Convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 17 Feb 2011 17:26:54 +0200

schooltool.lyceum.journal (0.7.1-1) maverick; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 20 Oct 2010 22:23:40 +0300

schooltool.lyceum.journal (0.6.0-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 26 May 2010 20:54:11 +0300

schooltool.lyceum.journal (0.5.3-1) karmic; urgency=low

  * New upstream release
    - Fix crash with non-ascii usernames (LP: #495872)
    - Rename journal tab to "Attendance" for students (LP: #557450)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 28 Apr 2010 19:59:48 +0300

schooltool.lyceum.journal (0.5.2-1) karmic; urgency=low

  * New upstream release.
  * Do not include *.po translation files in the package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 09 Apr 2010 20:00:07 +0300

schooltool.lyceum.journal (0.5.1-1) karmic; urgency=low

  * New upstream release
  * Move test dependencies to Suggests
  * Fix debian/tests to work on python2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 05 Feb 2010 23:15:18 +0200

schooltool.lyceum.journal (0.5.0-1) karmic; urgency=low

  * New upstream release
    - Port to zope versions available in karmic (LP: #498803)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 06 Jan 2010 19:26:00 +0200

python-schooltool.lyceum.journal (0.4.1-1ubuntu2) karmic; urgency=low

  * Fix an error in Khmer translation that prevents schooltool from starting

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 31 Dec 2009 17:48:26 +0200

python-schooltool.lyceum.journal (0.4.1-1ubuntu1) karmic; urgency=low

  * Add Provides: python-schooltool.lyceum (namespace package)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 30 Dec 2009 11:00:29 +0200

python-schooltool.lyceum.journal (0.4.1-1) karmic; urgency=low

  * New upstream release
    - Add period number to day of month headings (LP: #485614)
    - Add Tardies column to section journal (LP: #409997)
    - Updated translations

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Dec 2009 17:19:34 +0200

python-schooltool.lyceum.journal (0.4.0-1) karmic; urgency=low

  * New upstream release
    - Show period in section journal view (LP: #409959)
    - Updated translations
  * Override setup.py to depend on python-schooltool (>= 1:1.2.0)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 05 Nov 2009 15:17:47 +0200

python-schooltool.lyceum.journal (0.3.5-1ubuntu2) hardy; urgency=low

  * Activate trigger manually from postinst, with --no-await option.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 28 May 2009 18:24:12 +0300

python-schooltool.lyceum.journal (0.3.5-1ubuntu1) hardy; urgency=low

  * Restore changes from 0.3.4 release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 27 May 2009 20:00:00 +0300

python-schooltool.lyceum.journal (0.3.5-1) hardy; urgency=low

  * New upstream release
    + Automatically compile translations

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 27 May 2009 19:28:07 +0300

python-schooltool.lyceum.journal (0.3.4-1) hardy; urgency=low

  * New upstream release
    + Update translations from Launchpad
    + Crash when no periods are assigned (LP: #375797)
  * Activate update-schooltool trigger to restart the server.
  * Add copyright file and description.
  * Change maintainer to myself.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 27 May 2009 19:01:21 +0300

python-schooltool.lyceum.journal (0.3.3-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Tue, 12 May 2009 09:51:05 -0400

python-schooltool.lyceum.journal (0.3.2-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Mon, 20 Apr 2009 09:02:34 -0400

python-schooltool.lyceum.journal (0.3.1-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Thu, 26 Mar 2009 12:17:08 -0400

python-schooltool.lyceum.journal (0.2.3-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Fri, 05 Dec 2008 14:55:29 -0500

python-schooltool.lyceum.journal (0.2.2-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Thu, 30 Oct 2008 12:22:01 -0400

python-schooltool.lyceum.journal (0.2.1-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Sun, 26 Oct 2008 12:36:18 -0400

python-schooltool.lyceum.journal (0.1.7-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Thu, 31 Jul 2008 10:11:39 -0400

python-schooltool.lyceum.journal (0.1.4-1) gutsy; urgency=low

  * New upstream release



=== debian/control ===
Source: schooltool.lyceum.journal
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
 python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.1
X-Python-Version: >= 2.6

Package: python-schooltool.lyceum.journal
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:1.5.0)
Suggests: ${pydeb:Suggests}
Provides: ${pydeb:Provides}, python-schooltool.lyceum
Description: Journal plugin for Schooltool
 An attendance and class participation component for Schooltool.
 .
 SchoolTool Lyceum Journal is part of the standard distribution of SchoolTool.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh $@ --with pydeb --with python2

override_dh_install:
	dh_install -X.po

## schooltool.lyceum.journal 0.8.1

=== debian/changelog ===
schooltool.lyceum.journal (0.8.1-0ubuntu3) oneiric; urgency=low

  * debian/patches/schooltool-1.9.patch: avoid automatic depends on
    schooltool (<< 1.9), this made the package uninstallable.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Sep 2011 17:19:20 +0300

schooltool.lyceum.journal (0.8.1-0ubuntu2) oneiric; urgency=low

  * Install an __init__.py to schooltool.lyceum namespace.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Sep 2011 23:33:19 +0300

schooltool.lyceum.journal (0.8.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Sep 2011 23:19:09 +0300

schooltool.lyceum.journal (0.7.2-0ubuntu3) oneiric; urgency=low

  * debian/pydist-overrides: fix pytz and ZODB3 overrides.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 27 Jul 2011 19:46:58 +0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.1
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.4
+Homepage: https://launchpad.net/schooltool.lyceum.journal
 
 Package: python-schooltool.lyceum.journal
 Architecture: all

## schooltool.lyceum.journal 2.0.0

=== debian/changelog ===
schooltool.lyceum.journal (2.0.0-0ubuntu3) precise; urgency=low

  * Upload to Precise.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Nov 2011 20:59:32 +0200

schooltool.lyceum.journal (2.0.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/cells-css.patch: fix cell backgrounds.
  * debian/rules: Fix to not install *.po files.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Nov 2011 19:06:03 +0200

schooltool.lyceum.journal (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 22 Nov 2011 21:30:01 +0200

schooltool.lyceum.journal (1.9.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: specify buildsystem, latest release includes a Makefile.
  * debian/pydist-overrides: remove, we use van.pydeb.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 18 Nov 2011 03:21:46 +0200

schooltool.lyceum.journal (1.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 28 Oct 2011 18:00:52 +0300

schooltool.lyceum.journal (1.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish beta".
    - Fully translatable.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 06 Oct 2011 20:03:54 +0300

schooltool.lyceum.journal (1.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish alpha".
  * debian/watch: switch to flourish series.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Sep 2011 23:39:19 +0300

=== debian/control ===
Source: schooltool.lyceum.journal
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools (>= 0.6b3),
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: https://launchpad.net/schooltool.lyceum.journal

Package: python-schooltool.lyceum.journal
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:1.9)
Suggests: ${pydeb:Suggests}
Provides: ${pydeb:Provides}, python-schooltool.lyceum
Description: Journal plugin for Schooltool
 An attendance and class participation component for Schooltool.
 .
 SchoolTool Lyceum Journal is part of the standard distribution of SchoolTool.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh $@ -Spython_distutils --with pydeb --with python2

override_dh_auto_build:
	rm -f src/schooltool/lyceum/journal/locales/*.po
	dh_auto_build

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing, python-zope.app.testing, python-zope.ucol

## schooltool.lyceum.journal 2.0.1

=== debian/changelog ===
schooltool.lyceum.journal (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/cells-css.patch: remove, fixed upstream.
  * debian/rules: install upstream changelog.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Dec 2011 20:36:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_build:
 	rm -f src/schooltool/lyceum/journal/locales/*.po
 	dh_auto_build
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.txt

## schooltool.lyceum.journal 2.0.3

=== Makefile ===
--- 
+++ 
@@ -80,14 +80,12 @@
 
 .PHONY: coverage
 coverage: build
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
 	rm -rf coverage
-	bin/test --at-level 2 -u --coverage=coverage
-	mv parts/test/coverage .
+	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: coverage
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
+coverage-reports-html coverage/reports: build
+	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
 	bin/coverage coverage coverage/reports
@@ -95,14 +93,12 @@
 
 .PHONY: ftest-coverage
 ftest-coverage: build
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
 	rm -rf ftest-coverage
-	bin/test --at-level 2 -f --coverage=ftest-coverage
-	mv parts/test/ftest-coverage .
+	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
+ftest-coverage-reports-html ftest-coverage/reports: build
+	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
 	bin/coverage ftest-coverage ftest-coverage/reports

=== debian/changelog ===
schooltool.lyceum.journal (2.0.3-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 20 Mar 2012 15:52:49 +0200

## schooltool.lyceum.journal 2.1.0

=== Makefile ===
--- 
+++ 
@@ -158,6 +158,6 @@
 .PHONY: ubuntu-environment
 ubuntu-environment:
 	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv \
+	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
 	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

=== debian/changelog ===
schooltool.lyceum.journal (2.1.0-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 18 Apr 2012 20:07:34 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-setuptools (>= 0.6b3),
+               python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Homepage: https://launchpad.net/schooltool.lyceum.journal

## schooltool.lyceum.journal 2.1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/lyceum/journal/locales
 TRANSLATIONS_ZCML=schooltool/lyceum/journal/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/2.1
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool.lyceum.journal (2.1.1-0ubuntu2) quantal; urgency=low

  * debian/control: Change section to education.
  * debian/tests: use zope.testrunner.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 20 Sep 2012 19:25:41 +0300

schooltool.lyceum.journal (2.1.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Aug 2012 20:08:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: schooltool.lyceum.journal
-Section: python
+Section: education
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>

## schooltool.lyceum.journal 2.3.0

=== debian/changelog ===
schooltool.lyceum.journal (2.3.0-0ubuntu2) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 30 Oct 2012 22:38:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.lyceum.journal
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:1.9)
+         python-schooltool (>= 1:2.2)
 Suggests: ${pydeb:Suggests}
 Provides: ${pydeb:Provides}, python-schooltool.lyceum
 Description: Journal plugin for Schooltool

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testrunner, python-zope.app.testing, python-zope.ucol

## schooltool.lyceum.journal 2.3.1

=== debian/changelog ===
schooltool.lyceum.journal (2.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 19 Feb 2013 00:55:47 +0200

## schooltool.lyceum.journal 2.4~b1

=== debian/changelog ===
schooltool.lyceum.journal (2.4~b1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Apr 2013 20:11:21 +0300

## schooltool.lyceum.journal 2.4.0

=== debian/changelog ===
schooltool.lyceum.journal (2.4.0-0ubuntu1) raring; urgency=low

  * Re-release as final.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 18 Apr 2013 18:04:15 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.3
+               python-van.pydeb
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 Homepage: https://launchpad.net/schooltool.lyceum.journal

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/flourish/schooltool.lyceum.journal-(\d.*)\.tar\.gz

## schooltool.lyceum.journal 2.4.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/lyceum/journal/locales
 TRANSLATIONS_ZCML=schooltool/lyceum/journal/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/2.1
+DIST=/home/ftp/pub/schooltool/flourish
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -21,12 +21,20 @@
 	virtualenv --no-site-packages -p $(PYTHON) python
 
 .PHONY: bootstrap
-bootstrap bin/buildout: python
+bootstrap bin/buildout: | buildout.cfg python
 	python/bin/python bootstrap.py
 
+buildout.cfg:
+	cp deploy.cfg buildout.cfg
+
 .PHONY: buildout
-buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
+buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
 	bin/buildout $(BUILDOUT_FLAGS)
+
+.PHONY: develop
+develop bin/coverage: buildout.cfg develop.cfg
+	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
+	$(MAKE) buildout
 
 .PHONY: update
 update:
@@ -42,7 +50,7 @@
 
 .PHONY: tags
 tags: build
-	bin/tags
+	bin/ctags
 
 .PHONY: clean
 clean:
@@ -57,6 +65,7 @@
 
 .PHONY: realclean
 realclean:
+	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
 	rm -rf instance
@@ -84,7 +93,7 @@
 	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: build
+coverage-reports-html coverage/reports: bin/coverage build
 	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
@@ -97,7 +106,7 @@
 	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: build
+ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
 	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
@@ -131,9 +140,12 @@
 
 .PHONY: release
 release: compile-translations
+	-cp buildout.cfg buildout.cfg~dev~
+	cp deploy.cfg buildout.cfg
 	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
 	$(PYTHON) setup.py sdist
 	rm -f version.txt
+	-mv buildout.cfg~dev~ buildout.cfg
 
 .PHONY: move-release
 move-release: upload
@@ -141,7 +153,8 @@
 
 .PHONY: upload
 upload:
-	@VERSION=`cat version.txt.in` ;\
+	set -e ;\
+	VERSION=`cat version.txt.in` ;\
 	DIST=$(DIST) ;\
 	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
 	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
@@ -157,7 +170,8 @@
 
 .PHONY: ubuntu-environment
 ubuntu-environment:
-	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev
+	sudo apt-get install build-essential gettext enscript \
+	    python-dev python-virtualenv \
+	    ttf-ubuntu-font-family ttf-liberation \
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev

=== debian/changelog ===
schooltool.lyceum.journal (2.4.1-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 03 Jul 2013 17:47:26 +0300

## schooltool.lyceum.journal 2.5.1

=== debian/changelog ===
schooltool.lyceum.journal (2.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Split journal into attendance, scores and homeroom modes
    - Schoolwide attendance view
    - Rewrite based on score systems
    - Customizable journal score systems
    - Excused status
    - Score history

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 12:32:04 +0300

schooltool.lyceum.journal (2.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: requires python-schooltool (>= 1:2.5~)
  * debian/watch: change series to trunk

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 01 Aug 2013 21:47:58 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.lyceum.journal
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.2)
+         python-schooltool (>= 1:2.5~)
 Suggests: ${pydeb:Suggests}
 Provides: ${pydeb:Provides}, python-schooltool.lyceum
 Description: Journal plugin for Schooltool

## schooltool.lyceum.journal 2.5.2

=== debian/changelog ===
schooltool.lyceum.journal (2.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Aug 2013 13:23:30 +0300

## schooltool.lyceum.journal 2.5.3

=== debian/changelog ===
schooltool.lyceum.journal (2.5.3-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 13 Sep 2013 19:12:33 +0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          python-schooltool (>= 1:2.5~)
 Suggests: ${pydeb:Suggests}
 Provides: ${pydeb:Provides}, python-schooltool.lyceum
-Description: Journal plugin for Schooltool
- An attendance and class participation component for Schooltool.
+Description: Journal plugin for SchoolTool
+ An attendance and class participation component for SchoolTool.
  .
  SchoolTool Lyceum Journal is part of the standard distribution of SchoolTool.

## schooltool.lyceum.journal 2.6.0

=== debian/changelog ===
schooltool.lyceum.journal (2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Name column split
    - Score system and i18n fixes
  * debian/control: requires python-schooltool (>= 1:2.6)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 20:57:55 +0300

## schooltool.lyceum.journal 2.6.0.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/lyceum/journal/locales
 TRANSLATIONS_ZCML=schooltool/lyceum/journal/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/trunk
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -44,27 +44,76 @@
 instance: | build
 	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)
 
+instance/run/supervisord.pid:
+	bin/supervisord
+
 .PHONY: run
-run: build instance
+run: build instance instance/run/supervisord.pid
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
 	bin/start-schooltool-instance instance
+
+.PHONY: start
+start: build instance instance/run/supervisord.pid
+	bin/supervisorctl start all
+	@bin/supervisorctl status
+
+.PHONY: start-services
+start-services: build instance instance/run/supervisord.pid
+	@bin/supervisorctl status | grep services[:] | grep -v RUNNING && bin/supervisorctl start "services:*" || exit 0
+	@bin/supervisorctl status | grep services[:]
+
+.PHONY: restart
+restart: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	bin/supervisorctl restart schooltool
+	@bin/supervisorctl status
+
+.PHONY: rerun
+rerun: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
+	bin/start-schooltool-instance instance
+
+.PHONY: stop
+stop:
+	@test -S instance/run/supervisord.sock && bin/supervisorctl status | grep -v STOPPED && bin/supervisorctl stop all || exit 0
+	@test -S instance/run/supervisord.sock && bin/supervisorctl shutdown || echo Nothing to stop
+	@rm -f instance/run/zeo.sock
+	@rm -f instance/run/supervisord.sock
+	@rm -f instance/run/supervisord.pid
+
+.PHONY: status
+status:
+	@test -f instance/run/supervisord.pid && bin/supervisorctl status || echo All services shut down
 
 .PHONY: tags
 tags: build
 	bin/ctags
 
 .PHONY: clean
-clean:
+clean: stop
 	rm -rf python
 	rm -rf bin develop-eggs parts .installed.cfg
 	rm -rf build
 	rm -f ID TAGS tags
 	rm -rf coverage ftest-coverage
+	rm -rf instance/var/celerybeat-schedule
+	rm -rf instance/var/redis-dump.rdb
+	rm -rf instance/run/zeo.sock
+	rm -rf instance/run/supervisord.sock
+	rm -rf instance/run/supervisord.pid
+	rm -rf instance/var/Data.fs.lock
 	find . -name '*.py[co]' -delete
 	find . -name '*.mo' -delete
 	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +
 
 .PHONY: realclean
-realclean:
+realclean: stop
 	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
@@ -162,8 +211,8 @@
 	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	else \
-	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
-	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
+	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
+	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
 	fi
 
 # Helpers
@@ -173,5 +222,6 @@
 	sudo apt-get install build-essential gettext enscript \
 	    python-dev python-virtualenv \
 	    ttf-ubuntu-font-family ttf-liberation \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev
-
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev \
+	    redis-server
+

=== debian/changelog ===
schooltool.lyceum.journal (2.6.0.1-0ubuntu2) trusty; urgency=low

  * Upload to trusty.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 31 Oct 2013 17:09:41 +0200

schooltool.lyceum.journal (2.6.0.1-0ubuntu1) saucy; urgency=low

  * New upstream micro release
    - Fix periods disappearing in exotic time zones (LP: #1239468)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 17 Oct 2013 17:26:37 +0300

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool.lyceum.journal-(\d.*)\.tar\.gz

## schooltool.lyceum.journal 2.6.1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 INSTANCE_TYPE=schooltool
 BUILDOUT_FLAGS=
+REDIS_PORT:=$$(grep ^port instance/redis.conf | cut -d' ' -f 2)
 
 .PHONY: all
 all: build
@@ -52,7 +53,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: start
 start: build instance instance/run/supervisord.pid
@@ -77,7 +78,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: stop
 stop:

=== debian/changelog ===
schooltool.lyceum.journal (2.6.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 24 Nov 2013 22:30:00 +0200

## schooltool.lyceum.journal 2.6.3

=== debian/changelog ===
schooltool.lyceum.journal (2.6.3-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
    - Depends on python-dateutil explicitly.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 12 Apr 2014 01:44:11 +0300

schooltool.lyceum.journal (2.6.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
    - Allow uppercase values in attendance score system (LP: #1253663)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 15 Feb 2014 02:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.lyceum.journal
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.5~)
+         python-schooltool (>= 1:2.6)
 Suggests: ${pydeb:Suggests}
 Provides: ${pydeb:Provides}, python-schooltool.lyceum
 Description: Journal plugin for SchoolTool

## schooltool.lyceum.journal 2.6.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/lyceum/journal/locales
 TRANSLATIONS_ZCML=schooltool/lyceum/journal/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/trunk
+DIST=/home/ftp/pub/schooltool/2.6
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool.lyceum.journal (2.6.4-0ubuntu2) utopic; urgency=medium

  * Upload to utopic.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:57:13 +0300

schooltool.lyceum.journal (2.6.4-0ubuntu1) trusty; urgency=low

  * New upstream release.
    - Updated translations
  * debian/control: Bump Standards-Version to 3.9.5

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:54:15 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 Homepage: https://launchpad.net/schooltool.lyceum.journal

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh $@ -Spython_distutils --with pydeb --with python2

locales=src/schooltool/lyceum/journal/locales

override_dh_auto_build:
	rm -f $(locales)/*.po
	rm -f $(locales)/*.pot
	rm -f $(locales)/__init__.py
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-zope.app.testing, python-zope.ucol

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/2.6/schooltool.lyceum.journal-(\d.*)\.tar\.gz
